#ifndef WIDGETS_H
#define WIDGETS_H

#include <QtDesigner/QtDesigner>
#include <QtCore/qplugin.h>

class Widgets: public QObject, public QDesignerCustomWidgetCollectionInterface
{
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)
	Q_PLUGIN_METADATA(IID "SHS.widgets")
public:
	explicit Widgets(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface * > customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface * > m_widgets;

};

#endif // WIDGETS_H
